#ifndef _KGR_PATCH_BSC1193863_H
#define _KGR_PATCH_BSC1193863_H

int kgr_patch_bsc1193863_init(void);
void kgr_patch_bsc1193863_cleanup(void);


struct bpf_prog;
struct bpf_insn;
struct sock_filter;

struct bpf_prog *kgrp_bpf_patch_insn_single(struct bpf_prog *prog, u32 off,
				       const struct bpf_insn *patch, u32 len);

int kgrp_bpf_convert_filter(struct sock_filter *prog, int len,
			      struct bpf_insn *new_prog, int *new_len);

#define KGR_PATCH_BSC1193863_FUNCS					\
	KGR_PATCH(bpf_patch_insn_single, kgrp_bpf_patch_insn_single),	\
	KGR_PATCH(bpf_convert_filter, kgrp_bpf_convert_filter),	\

#endif /* _KGR_PATCH_BSC1193863_H */
